---
title: String.prototype.fixed()
slug: Web/JavaScript/Reference/Global_Objects/String/fixed
tags:
  - Deprecated
  - HTML wrapper methods
  - JavaScript
  - Method
  - Prototype
  - Reference
  - String
---
<div>{{JSRef}} {{deprecated_header}}</div>

<p>The <strong><code>fixed()</code></strong> method creates a {{HTMLElement("tt")}} HTML element that causes a string to be displayed in fixed-pitch font.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><var>str</var>.fixed()</pre>

<h3 id="Return_value">Return value</h3>

<p>A string representing a {{HTMLElement("tt")}} HTML element.</p>

<h2 id="Description">Description</h2>

<p>The <code>fixed()</code> method embeds a string in a <code>&lt;tt&gt;</code> element: "<code>&lt;tt&gt;str&lt;/tt&gt;</code>".</p>

<h2 id="Examples">Examples</h2>

<h3 id="Using_fixed">Using fixed()</h3>

<p>The following example uses the <code>fixed</code> method to change the formatting of a string:</p>

<pre class="brush: js notranslate">var worldString = 'Hello, world';
console.log(worldString.fixed()); // "&lt;tt&gt;Hello, world&lt;/tt&gt;"
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-string.prototype.fixed', 'String.prototype.fixed')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.builtins.String.fixed")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("String.prototype.bold()")}}</li>
 <li>{{jsxref("String.prototype.italics()")}}</li>
 <li>{{jsxref("String.prototype.strike()")}}</li>
</ul>
